import * as angular from "angular";

export const languagePickerServiceModule = "seges.languagepicker.service";

export interface ILanguagePickerService {
    setLanguage(language: string): void;
    getLanguage(): string;
}

export class LanguagePickerService implements ILanguagePickerService {
    language: string;

    setLanguage(language: string): void {
        this.language = language;
    }

    getLanguage(): string {
        return this.language;
    }
}

angular
    .module(languagePickerServiceModule, [])
    .service("languagePickerService", LanguagePickerService);
